Y at-il de toute façon à installer le module en python 3 twain

voix
1

Je veux installer le module de TWAIN Python en Python 3. Mais dans la documentation , il est dit:

versions Python 2.1 à 2.5 sont pris en charge.

Puis - je convertir à l'aide 2to3?

Créé 12/01/2016 à 13:06
utilisateur
Dans d'autres langues...                            


1 réponses

voix
0

Utilisez passé module qui fournit une trousse de traduction expérimentale pour aider à l' importation et l' utilisation de vieux modules Python 2 dans un environnement Python 3.

Alors installez votre package avec pip

pip3 install twain --no-compile   # to ignore SyntaxErrors

Et utiliser le code suivant pour importer twain dans votre python3code:

from past import autotranslate
autotranslate(['twain'])

import twain


# use twain ....... 
Créé 12/01/2016 à 13:13
source utilisateur

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more